Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package classpath
  Definition Classes
    nsc
- AggregateClassPath
- ClassFileEntry
- ClassPathEntries
- ClassPathFactory
- DirectoryClassPath
- DirectoryLookup
- DirectorySourcePath
- FileUtils
- JFileDirectoryLookup
- JrtClassPath
- PackageEntry
- PackageNameUtils
- SourceFileEntry
- VirtualDirectoryClassPath
- ZipAndJarClassPathFactory
- ZipAndJarFileLookupFactory
- ZipAndJarSourcePathFactory
- ZipArchiveFileLookup

t

scala.tools.nsc.classpath

# ZipArchiveFileLookup 

###

#### trait ZipArchiveFileLookup[FileEntryType <: ClassRepresentation] extends ClassPath

A trait allowing to look for classpath entries of given type in zip and jar files. It provides common logic for classes handling class and source files. It's aware of things like e.g. META-INF directory which is correctly skipped.

Source
  ZipArchiveFileLookup.scala

Linear Supertypes
ClassPath, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZipArchiveFileLookup
2. ClassPath
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def asSourcePathString: String

   The whole sourcepath in the form of one String.

   The whole sourcepath in the form of one String.

   Definition Classes
     ClassPath
2.  abstract def createFileEntry(file: reflect.io.FileZipArchive.Entry): FileEntryType
   Attributes
     protected
3.  abstract def findClassFile(className: String): Option[AbstractFile]
   Definition Classes
     ClassPath
4.  abstract def isRequiredFileType(file: AbstractFile): Boolean
   Attributes
     protected
5.  abstract val zipFile: File

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ZipArchiveFileLookup[FileEntryType] to any2stringadd[ZipArchiveFileLookup[FileEntryType]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ZipArchiveFileLookup[FileEntryType], B)
   Implicit
     This member is added by an implicit conversion from ZipArchiveFileLookup[FileEntryType] to ArrowAssoc[ZipArchiveFileLookup[FileEntryType]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def asClassPathString: String

   The whole classpath in the form of one String.

   The whole classpath in the form of one String.

   Definition Classes
     ClassPath
7.  def asClassPathStrings: collection.Seq[String]
   Definition Classes
     ZipArchiveFileLookup → ClassPath
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def asURLs: collection.Seq[URL]
   Definition Classes
     ZipArchiveFileLookup → ClassPath
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
11.  def ensuring(cond: (ZipArchiveFileLookup[FileEntryType]) ⇒ Boolean, msg: ⇒ Any): ZipArchiveFileLookup[FileEntryType]
    Implicit
      This member is added by an implicit conversion from ZipArchiveFileLookup[FileEntryType] to Ensuring[ZipArchiveFileLookup[FileEntryType]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (ZipArchiveFileLookup[FileEntryType]) ⇒ Boolean): ZipArchiveFileLookup[FileEntryType]
    Implicit
      This member is added by an implicit conversion from ZipArchiveFileLookup[FileEntryType] to Ensuring[ZipArchiveFileLookup[FileEntryType]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: ⇒ Any): ZipArchiveFileLookup[FileEntryType]
    Implicit
      This member is added by an implicit conversion from ZipArchiveFileLookup[FileEntryType] to Ensuring[ZipArchiveFileLookup[FileEntryType]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): ZipArchiveFileLookup[FileEntryType]
    Implicit
      This member is added by an implicit conversion from ZipArchiveFileLookup[FileEntryType] to Ensuring[ZipArchiveFileLookup[FileEntryType]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def files(inPackage: String): collection.Seq[FileEntryType]
    Attributes
      protected
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def findClass(className: String): Option[ClassRepresentation]

    It returns both classes from class file and source files (as our base ClassRepresentation).

    It returns both classes from class file and source files (as our base ClassRepresentation). So note that it's not so strictly related to findClassFile.

    Definition Classes
      ClassPath
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ZipArchiveFileLookup[FileEntryType] to StringFormat[ZipArchiveFileLookup[FileEntryType]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  def →[B](y: B): (ZipArchiveFileLookup[FileEntryType], B)
    Implicit
      This member is added by an implicit conversion from ZipArchiveFileLookup[FileEntryType] to ArrowAssoc[ZipArchiveFileLookup[FileEntryType]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1.  def asClasspathString: String
   Definition Classes
     ClassPath
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.5) use asClassPathString instead of this one

### Inherited from ClassPath

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ZipArchiveFileLookup[FileEntryType] to any2stringadd[ZipArchiveFileLookup[FileEntryType]]

### Inherited by implicit conversion StringFormat from ZipArchiveFileLookup[FileEntryType] to StringFormat[ZipArchiveFileLookup[FileEntryType]]

### Inherited by implicit conversion Ensuring from ZipArchiveFileLookup[FileEntryType] to Ensuring[ZipArchiveFileLookup[FileEntryType]]

### Inherited by implicit conversion ArrowAssoc from ZipArchiveFileLookup[FileEntryType] to ArrowAssoc[ZipArchiveFileLookup[FileEntryType]]

### Ungrouped